<!DOCTYPE html>
<html>


<head>
    <meta name="layout" content="site"/>
    <title>ACL Injury Prevention Questionnaire</title></head>
<body>

<style>
.pad{
    padding-left: 25%;
    padding-right: 25%;
    font-size: large;
}
.list{
    padding-left: 27.5%;
    padding-right: 25%;
    font-size: large;
}
hr {
    display: block;
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    margin-left: 25%;
    margin-right: 25%;
    border-style: inset;
    border-width: 3px;
}
</style>


<div class="jumbotron jumb-margin">
    <div class="container">
        <h1 align="center">ACL Injury Prevention Questionnaire</h1>
    </div>
</div>

<p align="center" style="font-size: large">This is an evaluation of training regimen safety practices for individual training usage.</p>
<br/>
<hr>
<p class = "pad">Are you an athlete, coach, parent, or sports medicine professional that
wants to know if you are using effective ACL injury prevention practices in
your sport?</p>
<br/>
<p class = "pad">Do you coach or play the following girl's/women's sports:</p>
<li class = "list">Basketball</li>
<li class = "list">Soccer</li>
<li class = "list">Volleyball</li>
<li class = "list">Handball</li>
<br/>
<p class = "pad">If you answered yes to these questions, the following questionnaire is intended
to give you feedback regarding what you are currently doing to reduce ACL injuries.</p>
<hr class="pad">
<br/>
<p align="center">
<strong>*This assessment is NOT a substitute for doctor diagnosis, and is not aproved by medical professionals. </strong>
</p>
    <br/>
<br/>

<p align="center">
    <g:link controller="questionsPage">
        <style>
        .button {
            background-color: black;
            border: none;
            color: orangered;
            padding: 15px 32px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 16px;
        }
        </style>
        <button class="button" onclick="func()">Take Questionnaire</button>
    </g:link>
</p>

<br/>
<br/>

</body>


</html>

