<!DOCTYPE html>
<html>
<head>
    <meta name="layout" content="site"/>
    <title>ACL Injury Prevention Questionnaire</title>
</head>

<body>
<div class="jumbotron jumb-margin">
    <div class="container">
        <h2 align="center">ACL Injury Prevention Questionnaire</h2>
    </div>
</div>

<style>
    h2 {
        font-size: xx-large;
    }
    .indent {
      padding-left: 25%;
        padding-right: 25%;
        font-size: large;
    }
    .sliderindentl {
        padding-right: 8.75%;
        font-size: large;
    }
    .one {
        padding-right: 8.75%;
        font-size: large;
    }
    .two {
        padding-right: 8.75%;
        font-size: large;
    }
    .three {
        padding-right: 8.75%;
        font-size: large;
    }
    .four {
        padding-right: 8.75%;
        font-size: large;
    }
    .sliderindentr {
        padding-right: 26%;
        font-size: large;
    }
    .npad {
        padding-right: 29.75%;
        font-size: large;
        float: right;
        display: inline;
    }
    .npadr {
        padding-right: 8.15%;
        font-size: large;
        float: right;
        display: inline;
    }
    .ynindentl {
        padding-right: 30%;
    }
    .ynindentr {
        padding-right: 7.5%;
    }
    .button {
        background-color: black;
        border: none;
        color: orangered;
        padding: 15px 32px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
    }
    text {
        float: right;
    }
    hr {
        display: block;
        margin-top: 0.5em;
        margin-bottom: 0.5em;
        margin-left: 25%;
        margin-right: 25%;
        border-style: inset;
        border-width: 3px;
    }
    .slidecontainer {
        width: 100%;
        padding-left: 25%;
        padding-right: 25%;
    }
    .slider {
        -webkit-appearance: none;
        height: 25px;
        background: black;
        outline: none;
        -webkit-transition: .2s;
        transition: opacity .2s;
    }
    .slider::-webkit-slider-thumb {
        -webkit-appearance: none;
        width: 25px;
        height: 25px;
        border-radius: 50%;
        background: orangered;
        cursor: pointer;
    }
    .slider::-moz-range-thumb {
        width: 20px;
        height: 20px;
        border-radius: 50%;
        background: orangered;
        cursor: pointer;
    }
    .group{
        padding-left: 25%;
        padding-right: 25%;
    }
    .btn:hover {
        background-color: #555;
    }
    .btn-primary.active {
        color: orangered;
        background: lightgray;
    }
    .btn {
        background-color: black;
        color: orangered;
        cursor: pointer;
        padding: 20px;
        width: 48.5%;
        border: none;
        outline: none;
        font-size: large;
        align-content: center;
    }
    .noindent {
        padding-left: 2%;
        font-size: large;
    }
    .yn {
        padding-left: 25%;
        font-size: larger;
        float: left;
    }
</style>

<g:form controller="resultsPage">
<p class="indent">Does your program/training include?</p>
<br/>
<div class="noindent">
    <text class="ynindentl">No</text>
    <text class="ynindentr">Yes</text>
</div>
<br/>


<g:set var="i" value="${1}"/>
<g:each in="${qlist}">
    <g:if test="${it.type == 'yn'}">
            <g:set var="text" value="${it.map.first.question}"/>
            <f:field property=" " >
                <div>
                    <text class="yn">
                        ${text}
                    </text>
                    <text class="npad">
                        <input type="radio" value="No" class="buttonc" name="aQuestion${i}">
                    </text>
                    <text class="npadr">
                        <input type="radio" value="Yes" class="buttonc" name="aQuestion${i}">
                    </text>
                </div>
            </f:field>
        <br/>
        <g:set var="i" value="${i + 1}"/>
    </g:if>
</g:each>
    <br/>
<hr>
<g:each in="${qlist}">
    <g:if test="${it.type == 'slider'}">
        <p class="indent">
            ${it.map.first.question}
        </p>
        <br/>
        <text class="sliderindentr">${it.map.second.max}</text>
        <text class="four">4</text>
        <text class="three">3</text>
        <text class="two">2</text>
        <text class="one">1</text>
        <text class="sliderindentl">${it.map.second.min}</text>
        <br/>
        <br/>
        <p class="indent">
        <text>
            <div class="slidecontainer">
                <input type="range" min="${it.map.second.min}" max="${it.map.second.max}" value="0"
                       class="slider" id="myRange" name="aQuestion4">
            </div>
        </text>
        </p>
        <br/>
    </g:if>
</g:each>
<hr>
<g:set var="i" value="${5}"/>
<g:each in="${qlist}">
    <g:if test="${it.type == 'mc'}">
        <p class="indent">
            ${it.map.first.question}
        </p>
        <br/>
        <p>
        <div class="group" data-toggle="buttons">
            <label class="btn btn-primary">
                <input type="radio" name="aQuestion${i}" id="option1" value="${it.map.first.amap.correct}"> ${it.map.first.amap.correct}
            </label>
            <label class="btn btn-primary">
                <input type="radio" name="aQuestion${i}" id="option2" value="${it.map.first.amap.answer}"> ${it.map.first.amap.answer}
            </label>
        </div>
        <br/>
        <hr>
        <g:set var="i" value="${i + 1}"/>
    </g:if>
</g:each>
<br/>

<p align="center">
        <g:actionSubmit value="Submit" class="button" action="index" />
</p>
</g:form>

<script>
    var coll = document.getElementsByClassName("correct_collapsible");
    var i;

    for (i = 0; i < coll.length; i++) {
        coll[i].addEventListener("click", function() {
            this.classList.toggle("active");
        });
    }
</script>
<br/>
<br/>





</body>
</html>
