package aclip

class Quest {
    String type
    String question
    Integer points
    String information
    byte [] image
    String canswer
    Integer minrange
    Integer maxrange
    String answers


    static constraints = {
        question nullable: false, blank: false
        points nullable: false, blank: false
        information nullable: true
        image nullable: true, maxSize: 1024*1024*2
        canswer nullable: false, blank: false
        answers nullable: true, blank: false
        type nullable: false, blank: false
        minrange nullable: true, blank: false
        maxrange nullable: true, blank: false

    }
}
