package aclip

import grails.test.mixin.integration.Integration
import grails.gorm.transactions.Rollback
import spock.lang.Specification
import org.hibernate.SessionFactory

@Integration
@Rollback
class ResultsServiceSpec extends Specification {

    ResultsService resultsService
    SessionFactory sessionFactory

    private Long setupData() {
        // TODO: Populate valid domain instances and return a valid ID
        //new Results(...).save(flush: true, failOnError: true)
        //new Results(...).save(flush: true, failOnError: true)
        //Results results = new Results(...).save(flush: true, failOnError: true)
        //new Results(...).save(flush: true, failOnError: true)
        //new Results(...).save(flush: true, failOnError: true)
        assert false, "TODO: Provide a setupData() implementation for this generated test suite"
        //results.id
    }

    void "test get"() {
        setupData()

        expect:
        resultsService.get(1) != null
    }

    void "test list"() {
        setupData()

        when:
        List<Results> resultsList = resultsService.list(max: 2, offset: 2)

        then:
        resultsList.size() == 2
        assert false, "TODO: Verify the correct instances are returned"
    }

    void "test count"() {
        setupData()

        expect:
        resultsService.count() == 5
    }

    void "test delete"() {
        Long resultsId = setupData()

        expect:
        resultsService.count() == 5

        when:
        resultsService.delete(resultsId)
        sessionFactory.currentSession.flush()

        then:
        resultsService.count() == 4
    }

    void "test save"() {
        when:
        assert false, "TODO: Provide a valid instance to save"
        Results results = new Results()
        resultsService.save(results)

        then:
        results.id != null
    }
}
